<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_margin="15dp"
    app:cardBackgroundColor="#EDF1F4"
    app:cardCornerRadius="15dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/ll_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="6dp"
            android:layout_marginTop="6dp"
            android:paddingVertical="6dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:id="@+id/ll_google"
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_google"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:text="Google"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_bing"
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_bing"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:text="Bing"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_yahoo"
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_yahoo"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:text="Yahoo"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_duck"
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_xuckd"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="8dp"
                    android:layout_marginTop="10dp"
                    android:ellipsize="end"
                    android:singleLine="true"
                    android:text="DuckDuckGo"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>


        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="6dp"
            android:paddingVertical="6dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll_1">

            <LinearLayout
                android:id="@+id/ll_yandex"
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_yandex"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:text="Yandex"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_baidu"
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_baidu"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:text="Baidu"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical"
                android:visibility="invisible">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_google"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:text="Google"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="70dp"
                android:layout_height="90dp"
                android:layout_marginHorizontal="6dp"
                android:background="@drawable/bg_search_engine_selector"
                android:orientation="vertical"
                android:visibility="invisible">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:src="@mipmap/x_google"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:text="Google"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />


            </LinearLayout>


        </LinearLayout>

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="150dp"
            android:layout_height="50dp"
            android:layout_marginVertical="15dp"
            android:background="@drawable/bg_e1e4e9_25"
            android:gravity="center"
            android:text="Cancel"
            android:textColor="@color/black"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/tv_confirm"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll_2"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_confirm"
            android:layout_width="150dp"
            android:layout_height="50dp"
            android:layout_marginVertical="15dp"
            android:background="@drawable/bg_0571ed_25"
            android:gravity="center"
            android:text="Confirm"
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_cancel"
            app:layout_constraintTop_toBottomOf="@id/ll_2"
            tools:ignore="HardcodedText" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.cardview.widget.CardView>